package mobvista.dmp.datasource.age_gender

import com.esotericsoftware.kryo.Kryo
import org.apache.spark.serializer.KryoRegistrator

/**
  * @package: mobvista.dmp.datasource.device
  * @author: wangjf
  * @create: 2018-09-07 20:43
  **/
class MyRegisterKryo extends KryoRegistrator {
  override def registerClasses(kryo: Kryo): Unit = {
    kryo.register(classOf[MergeCommon])
    kryo.register(classOf[DeviceAge])
    kryo.register(classOf[scala.collection.mutable.WrappedArray.ofRef[_]])
    kryo.register(scala.collection.mutable.ArraySeq.getClass)
  }
}
